cURL
curl --request GET \
--url https://api.tilt.io/api/v1/custom/org/{organization_uuid}/reports/proposals/ \
--header 'X-Api-Key: <api-key>'import requests
url = "https://api.tilt.io/api/v1/custom/org/{organization_uuid}/reports/proposals/"
headers = {"X-Api-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-Api-Key': '<api-key>'}};
fetch('https://api.tilt.io/api/v1/custom/org/{organization_uuid}/reports/proposals/', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"proposal_count": 123,
"proposal_statuses": {
"completed": 123,
"pending": 123,
"failed": 123
},
"orders": {
"buy": {
"notional": {
"amount": "<string>",
"count": 123
},
"qty": {
"amount": "<string>",
"count": 123
}
},
"sell": {
"notional": {
"amount": "<string>",
"count": 123
},
"qty": {
"amount": "<string>",
"count": 123
}
}
}
}Metrics & Reporting
Get Aggregate Trade Proposals
Get an aggregated report for trade proposals which have been generated.
GET
/
api
/
v1
/
custom
/
org
/
{organization_uuid}
/
reports
/
proposals
/
cURL
Authorizations
Path Parameters
Query Parameters
Filter proposals created on or before this date (YYYY-MM-DD)
Filter proposals created on or after this date (YYYY-MM-DD)
⌘I